Subject: bug#27990: Offloading is now working!

From: [email-masked] (Ludovic Courtès)
Date: Sat, 02 Sep 2017 01:01:54 +0200

Christopher Baines <[email-masked]> skribis:

> I had a look at the Guix source, and noticed that the private key to
> use is a function of the current user. But as this is the offloader
> script, I'm pretty sure that relates to the user of the guix-daemon,
> which in my case is root. In my case, I want to offload as my user, so
> I set private-key explicitly in /etc/guix/machines.scm, and now it just
> works!

Good news!  This private-key thing is a common gotcha.

Ludo’.